Package Details: tomate-gtk 0.25.0-6

Git Clone URL: https://aur.archlinux.org/tomate-gtk.git (read-only, click to copy)
Package Base: tomate-gtk
Description: A Pomodoro timer
Upstream URL: https://github.com/eliostvs/tomate-gtk
Licenses: GPL
Conflicts: tomate-alarm-plugin, tomate-breakscreen-plugin, tomate-exec-plugin, tomate-notify-plugin
Submitter: eliostvs
Maintainer: eliostvs
Last Packager: eliostvs
Votes: 6
Popularity: 0.35
First Submitted: 2015-12-02 23:09 (UTC)
Last Updated: 2023-08-20 10:19 (UTC)

Latest Comments

1 2 Next › Last »

Covkie commented on 2024-06-18 00:34 (UTC)

Yapsy has fixed this upstream but has yet to make a release so I've made python-yapsy-git. python-zombie-imp is no longer needed.

eliostvs commented on 2024-05-27 07:30 (UTC)

I'll wait for this to be fixed upstream. If it takes too long or doesn't happen, I'll study replacing the library. As a temporary solution, you can install this AUR package. https://aur.archlinux.org/packages/python-zombie-imp

eliostvs commented on 2024-05-21 15:48 (UTC)

Thank you for informing me. The issue seems to be fixed in the main branch, but we haven't released a new version yet. https://github.com/tibonihoo/yapsy/issues/19.

t.rehn commented on 2024-05-17 06:06 (UTC) (edited on 2024-05-17 06:07 (UTC) by t.rehn)

Python 3.12: Version 0.25.0 builds, but does not start:

  • Reason: tomate uses yapsy, yapsi uses imp, which was removed in python 3.12
  • Stacktrace:
Traceback (most recent call last):
  File "/usr/lib/python3.12/site-packages/yapsy/PluginManager.py", line 132, in <module>
    import importlib.abc.Loader as imp
ModuleNotFoundError: No module named 'importlib.abc.Loader'; 'importlib.abc' is not a package

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/tomate-gtk", line 33, in <module>
    sys.exit(load_entry_point('tomate-gtk==0.25.0', 'console_scripts', 'tomate-gtk')())
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/bin/tomate-gtk", line 25, in importlib_load_entry_point
    return next(matches).load()
           ^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/importlib/metadata/__init__.py", line 205, in load
    module = import_module(match.group('module'))
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/importlib/__init__.py", line 90, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "<frozen importlib._bootstrap>", line 1387, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1360, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1331, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 935, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 995, in exec_module
  File "<frozen importlib._bootstrap>", line 488, in _call_with_frames_removed
  File "/usr/lib/python3.12/site-packages/tomate/__main__.py", line 1, in <module>
    from .main import main
  File "/usr/lib/python3.12/site-packages/tomate/main.py", line 14, in <module>
    from tomate.pomodoro.app import Application
  File "/usr/lib/python3.12/site-packages/tomate/pomodoro/__init__.py", line 1, in <module>
    from .app import Application
  File "/usr/lib/python3.12/site-packages/tomate/pomodoro/app.py", line 8, in <module>
    from .plugin import PluginEngine
  File "/usr/lib/python3.12/site-packages/tomate/pomodoro/plugin.py", line 9, in <module>
    from yapsy.ConfigurablePluginManager import ConfigurablePluginManager
  File "/usr/lib/python3.12/site-packages/yapsy/ConfigurablePluginManager.py", line 18, in <module>
    from yapsy.PluginManager import PLUGIN_NAME_FORBIDEN_STRING
  File "/usr/lib/python3.12/site-packages/yapsy/PluginManager.py", line 134, in <module>
    import imp
ModuleNotFoundError: No module named 'imp'

eliostvs commented on 2023-08-20 10:20 (UTC)

Sorry. I've released the fix. Please try again. I've merged the alarm, break screen, exec, notify plugins to the main package. So, you may need to remove them manually.

zerophase commented on 2023-08-20 03:31 (UTC) (edited on 2023-08-20 03:32 (UTC) by zerophase)

Fails to commit transaction from file conflicts.

error: failed to commit transaction (conflicting files)
tomate-gtk: /usr/share/tomate/media/alarm.ogg exists in filesystem (owned by tomate-alarm-plugin)
tomate-gtk: /usr/share/tomate/plugins/alarm.plugin exists in filesystem (owned by tomate-alarm-plugin)
tomate-gtk: /usr/share/tomate/plugins/notify.plugin exists in filesystem (owned by tomate-notify-plugin)
Errors occurred, no packages were upgraded.
error: packages failed to build: tomate-statusicon-plugin-0.8.1-2

ssipos90 commented on 2022-08-11 16:06 (UTC)

Works, @eliostvs. Thanks!

eliostvs commented on 2022-08-09 22:27 (UTC)

I've update all Tomate packages. Please try again.

ssipos90 commented on 2022-08-07 08:12 (UTC) (edited on 2022-08-07 08:14 (UTC) by ssipos90)

Hello,

I think there's an issue with the latest python compatibility, I get the following error when installing any plugin: error: Multiple top-level packages discovered in a flat-layout: ['data', 'tomate'].

eliostvs commented on 2021-04-26 12:36 (UTC)

Yes, it was. Thanks for finding that out @zerophase.